Bug 22016 - Always send CT field for SIP checkin, even if empty
Summary: Always send CT field for SIP checkin, even if empty
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 22014
Blocks: 22043
  Show dependency treegraph
 
Reported: 2018-12-17 19:41 UTC by Kyle M Hall
Modified: 2019-03-01 11:29 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22016: Always send CT field for SIP checkin, even if empty (2.47 KB, patch)
2018-12-17 19:42 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22016: Always send CT field for SIP checkin, even if empty (2.60 KB, patch)
2018-12-18 11:50 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 22016: Always send CT field for SIP checkin, even if empty (2.68 KB, patch)
2019-02-15 08:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 22016: Unit tests (2.05 KB, patch)
2019-02-19 17:46 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2018-12-17 19:41:38 UTC
Some SIP devices ( in this particular case, bin sorting machines from RFID Library Solutions ) require a CT field to be sent, even if that field is empty. Koha should be able to support this behavior.
Comment 1 Kyle M Hall 2018-12-17 19:42:56 UTC
Created attachment 83310 [details] [review]
Bug 22016: Always send CT field for SIP checkin, even if empty

Some SIP devices ( in this particular case, bin sorting machines from RFID Library Solutions ) require a CT field to be sent, even if that field is empty. Koha should be able to support this behavior.

Test Plan:
1) Apply this patch
2) Enable the new option ct_always_send for a SIP2 account
3) Restart SIP
4) Check in an item successfully via SIP, which will not be transferred
5) Note the response contains a CT field with no value

Sponsored-by: Pueblo City-County Library District

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 2 Kyle M Hall 2018-12-18 11:50:47 UTC
Created attachment 83345 [details] [review]
Bug 22016: Always send CT field for SIP checkin, even if empty

Some SIP devices ( in this particular case, bin sorting machines from RFID Library Solutions ) require a CT field to be sent, even if that field is empty. Koha should be able to support this behavior.

Test Plan:
1) Apply this patch
2) Enable the new option ct_always_send for a SIP2 account
3) Restart SIP
4) Check in an item successfully via SIP, which will not be transferred
5) Note the response contains a CT field with no value

Sponsored-by: Pueblo City-County Library District

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jill Kleven <jill.kleven@pueblolibrary.org>
Comment 3 Marcel de Rooy 2019-02-15 08:44:21 UTC
Created attachment 85147 [details] [review]
Bug 22016: Always send CT field for SIP checkin, even if empty

Some SIP devices ( in this particular case, bin sorting machines from RFID Library Solutions ) require a CT field to be sent, even if that field is empty. Koha should be able to support this behavior.

Test Plan:
1) Apply this patch
2) Enable the new option ct_always_send for a SIP2 account
3) Restart SIP
4) Check in an item successfully via SIP, which will not be transferred
5) Note the response contains a CT field with no value

Sponsored-by: Pueblo City-County Library District

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jill Kleven <jill.kleven@pueblolibrary.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2019-02-19 17:46:52 UTC
Created attachment 85290 [details] [review]
Bug 22016: Unit tests
Comment 5 Nick Clemens 2019-02-27 14:17:48 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-03-01 11:29:24 UTC
Enhancement, will not be backported to 18.11.x series.